diff -urN multipath-0.0.18.5/ChangeLog multipath-0.0.18.6/ChangeLog
--- multipath-0.0.18.5/ChangeLog	2004-02-22 14:12:13.000000000 +0100
+++ multipath-0.0.18.6/ChangeLog	2004-03-01 15:08:37.000000000 +0100
@@ -1,4 +1,6 @@
 2004-02-21 multipath-018
+	* Avoid Kernel Bug when passing too small a buffer in do_inq()
+	* Sync with 2.6.3-udm4 target synthax (no more PG prio)
 	* From the Debian SID inclusion review (Philipp Matthias Hahn)
 		* use DESTDIR install prefix in the Makefile
 		* add man pages for devmap_name & multipath
diff -urN multipath-0.0.18.5/devinfo.c multipath-0.0.18.6/devinfo.c
--- multipath-0.0.18.5/devinfo.c	2004-02-22 13:00:22.000000000 +0100
+++ multipath-0.0.18.6/devinfo.c	2004-03-01 15:06:08.000000000 +0100
@@ -161,16 +161,17 @@
 get_evpd_wwid(char * devname, char * wwid)
 {
         int fd;
-        char buff[64];
+        char buff[MX_ALLOC_LEN + 1];
                                                                                                                  
         if ((fd = open(devname, O_RDONLY)) < 0)
                         return 0;
-                                                                                                                 
-        if (0 == do_inq(fd, 0, 1, 0x83, buff, sizeof (buff), 1)) {
+
+        if (0 == do_inq(fd, 0, 1, 0x83, buff, MX_ALLOC_LEN, 1)) {
                 sprint_wwid(wwid, &buff[8]);
                 close(fd);
                 return 1; /* success */
         }
+
         close(fd);
         return 0; /* not good */
 }
diff -urN multipath-0.0.18.5/main.c multipath-0.0.18.6/main.c
--- multipath-0.0.18.5/main.c	2004-02-29 21:43:04.000000000 +0100
+++ multipath-0.0.18.6/main.c	2004-03-01 14:32:52.000000000 +0100
@@ -675,6 +675,7 @@
 	} else {
 		get_all_paths_sysfs(&conf, all_paths);
 	}
+
 	nmp = coalesce_paths(&conf, mp, all_paths);
 
 	if (conf.verbose) {
